Bug 1317277 - Web interface don't start when not all host with storages is up [NEEDINFO]
Web interface don't start when not all host with storages is up
Status: CLOSED INSUFFICIENT_DATA
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.4
x86_64 Linux
unspecified Severity high (vote)
: ---
: ---
Assigned To: bugs@ovirt.org
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-13 13:29 EDT by Badalyan Vyacheslav
Modified: 2016-04-13 02:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 02:50:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: needinfo? (v.badalyan)
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
ScreenShots (476.00 KB, application/zip)
2016-03-13 13:29 EDT, Badalyan Vyacheslav
no flags Details

  None (edit)
Description Badalyan Vyacheslav 2016-03-13 13:29:39 EDT
Description of problem:
1. Have DC default (hosted engine).
2. Have 3 clusters. (one cluster it is two hosts with NFS for  hosted engine and only hosted engine VM active).
3. All host in clusters have local NFS share with storage domain
4. If ONE!! host is down - ovirt engine don't start web interface and don't start HA VMs. It's do forewer check!

Expected results:
1. Web interface will start
2. Storage domains and host will checks in backgroud like if engine allready was stared and one of hosts is down.


Why don't split datacenters? I was think to use clutser with hosted engine to start other VMs from domain.

If i down HP3 host - Engine Web UI don't start forever!
Comment 1 Badalyan Vyacheslav 2016-03-13 13:29 EDT
Created attachment 1135949 [details]
ScreenShots
Comment 2 Michal Skrivanek 2016-03-14 03:51:12 EDT
I don't really follow the issue. Which host is down in step 4? The one running hosted engine VM?
Or a different host in other cluster?
"don't start web interface" - you mean the management UI is not available as the engine is actually not running?
Comment 3 Tomas Jelinek 2016-03-14 04:44:55 EDT
@Badalyan also please attach all the logs (engine.log and ui.log)
Comment 4 Tomas Jelinek 2016-03-23 07:11:19 EDT
@Badalyan - does this still happen to you? If yes, could you please provide the info asked above?
Comment 5 Tomas Jelinek 2016-04-13 02:50:31 EDT
We don't have enough information on what has happened. Closing this issue - if it still happens, please feel free to reopen and add all the info requested.

Note You need to log in before you can comment on or make changes to this bug.